View Issue Details

IDProjectCategoryView StatusLast Update
0002046SOGoPackaging (RedHat)public2016-06-07 11:23
ReporterwsourdeauAssigned Toplevesque  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Fixed in Versionnightly v2 
Summary0002046: optimized debugging builds
Description

The build on certain (or all) distros disables the "-O2" flag that is specified with "debug=no". On the other hand, it seems that even when "debug" is set to "no", the "-g" flag is used.

It would be useful to actually have builds with build flags set on all distros, so that the executables would benefit from optimizations in gcc, while still producing useful backtraces when a problem occurs.

TagsNo tags attached.

Relationships

related to 0002045 assignedjraby optimized debugging builds 

Activities

plevesque

plevesque

2016-06-07 11:22

reporter   ~0010306

Flags -O2 and -g are now there by default when building SOGo and a pull request has been sent for SOPE.

For fun, -frecord-gcc-switches was also added.

Issue History

Date Modified Username Field Change
2012-10-18 12:38 wsourdeau New Issue
2012-10-18 12:38 wsourdeau Relationship added related to 0002045
2012-11-19 14:28 ludovic Status new => assigned
2012-11-19 14:28 ludovic Assigned To => jraby
2016-05-31 16:10 ludovic Assigned To jraby => plevesque
2016-06-07 11:22 plevesque Note Added: 0010306
2016-06-07 11:23 plevesque Status assigned => resolved
2016-06-07 11:23 plevesque Fixed in Version => nightly v2
2016-06-07 11:23 plevesque Resolution open => fixed